async function loadPartial(url) {
	const res = await fetch(url);
	if (res.status !== 200) {
		console.error(`Failed to load partial from ${url}: ${res.status} ${res.statusText}`);
		return;
	}

	const text = await res.text();
	const sectionId = text.split(">")[0].split('id="')[1].split('"')[0];

	document.querySelector(`#${sectionId}`).outerHTML = text;
}
